
Ryzom - Feature # 1272

Status: Closed Priority: Normal
Author: rti Category: Build
Created: 04/12/2011 Assignee: kervala
Updated: 12/07/2011 Due date:
Subject: Build on GCC 4.6
Description

patch provided by naush:

http://pastebin.com/LFwHYkiF

History
#1 - 04/14/2011 01:47 pm - rti

Patches provided by krop:

patch 1
diff -r 52da4bd97b13 code/ryzom/common/src/game_share/mirror_prop_value.h
--- a/code/ryzom/common/src/game_share/mirror_prop_value.h      Wed Apr 13 19:58:41 2011 +0200
+++ b/code/ryzom/common/src/game_share/mirror_prop_value.h      Thu Apr 14 12:06:33 2011 +0200
@@ -23,6 +23,7 @@
 #include "nel/misc/stream.h" 
 #include "mirrored_data_set.h" 

+#include <cstddef>

 /**
  * Read-only handler of a value of a property.

fixes:

In file included from /devel/ryzom/code/ryzom/common/src/game_share/fame.h:25:0,
                 from /devel/ryzom/code/ryzom/server/src/input_output_service/stdpch.h:67,
                 from /devel/ryzom/code/ryzom/server/src/input_output_service/stdpch.cpp:18:
/devel/ryzom/code/ryzom/common/src/game_share/mirror_prop_value.h: At global scope:
/devel/ryzom/code/ryzom/common/src/game_share/mirror_prop_value.h:1031:11: error: ‘ptrdiff_t’ does not name a type
/devel/ryzom/code/ryzom/common/src/game_share/mirror_prop_value.h:1059:11: error: ‘ptrdiff_t’ does not name a type
remake[2]: *** [ryzom/server/src/input_output_service/CMakeFiles/ryzom_ios_service_pch_dephelp.dir/stdpch.cpp.o] Error 1
CMakeFiles/Makefile2:10686: *** [ryzom/server/src/input_output_service/CMakeFiles/ryzom_ios_service_pch_dephelp.dir/all] Error 2

#0  ryzom/server/src/monitor_service/CMakeFiles/monitor_service_pch_dephelp.dir/all at /devel/ryzom/build/CMakeFiles/Makefile2:10686
#1  ryzom/server/src/monitor_service/CMakeFiles/pch_Generate_monitor_service.dir/all at /devel/ryzom/build/CMakeFiles/Makefile2:10721
#2  ryzom/server/src/monitor_service/CMakeFiles/monitor_service.dir/all at /devel/ryzom/build/CMakeFiles/Makefile2:10638
#3  all (.PHONY target)

patch 2
--- a/code/ryzom/server/src/frontend_service/distance_prioritizer.h     Wed Apr 13 19:58:41 2011 +0200
+++ b/code/ryzom/server/src/frontend_service/distance_prioritizer.h     Thu Apr 14 12:27:42 2011 +0200
@@ -555,7 +555,7 @@
                if (entry.HasValue)
                {
 #ifdef NL_DEBUG
-                       if ( (propIndex==PROPERTY_SHEET) && (currentValue() != *((T*)&(entry.LastSent))) )
+                       if ( (propIndex==CLFECOMMON::PROPERTY_SHEET) && (currentValue() != *((T*)&(entry.LastSent))) )
                                LOG_WHAT_IS_SENT( "C%hu S%hu: sheet changes from %u to %u", TVPNodeServer::PrioContext.ClientId,
TVPNodeServer::PrioContext.Slot, (uint32)entry.LastSent, asUInt32<T>(currentValue()) );
 #endif
                        return (currentValue() != *((T*)&(entry.LastSent)));
@@ -569,7 +569,7 @@
                        {
                                // Not sent yet
                                //nldebug( "No history yet for C%hu - slot %hu - prop %hu", TVPNodeServer::PrioContext.ClientHost->clientId(),
(uint16)TVPNodeServer::PrioContext.Slot, propIndex );
-                               if ( (propIndex==PROPERTY_SHEET) )
+                               if ( (propIndex==CLFECOMMON::PROPERTY_SHEET) )
                                {
                                        CMirrorPropValueRO<T> currentValue( TheDataset, TVPNodeServer::PrioContext.EntityIndex, dsPropertyIndex );
                                        LOG_WHAT_IS_SENT( "C%hu S%hu: sheet initializes to %u", TVPNodeServer::PrioContext.ClientId,
TVPNodeServer::PrioContext.Slot,   asUInt32<T>(currentValue()) );
@@ -625,7 +625,7 @@
                        CMirrorPropValueRO<T> currentValue( TheDataset, TVPNodeServer::PrioContext.EntityIndex, dsPropertyIndex );

 #ifdef NL_DEBUG
-                       if ( (propIndex==PROPERTY_SHEET) && (currentValue() != *((T*)&(entry.LastSent))) )
+                       if ( (propIndex==CLFECOMMON::PROPERTY_SHEET) && (currentValue() != *((T*)&(entry.LastSent))) )
                                LOG_WHAT_IS_SENT( "C%hu S%hu: sheet changes from %u to %u", TVPNodeServer::PrioContext.ClientId,
TVPNodeServer::PrioContext.Slot, (uint32)entry.LastSent, asUInt32<T>(currentValue()) );
 #endif

@@ -639,7 +639,7 @@
                        {
                                // Not sent yet
                                //nldebug( "No history yet for C%hu - slot %hu - prop %hu", TVPNodeServer::PrioContext.ClientHost->clientId(),
(uint16)TVPNodeServer::PrioContext.Slot, propIndex );
-                               if ( (propIndex==PROPERTY_SHEET) )
+                               if ( (propIndex==CLFECOMMON::PROPERTY_SHEET) )
                                {
                                        CMirrorPropValueRO<T> currentValue( TheDataset, TVPNodeServer::PrioContext.EntityIndex, dsPropertyIndex );
                                        LOG_WHAT_IS_SENT( "C%hu S%hu: sheet initializes to %u", TVPNodeServer::PrioContext.ClientId,
TVPNodeServer::PrioContext.Slot,   asUInt32<T>(currentValue()) );

fixes:

In file included from /devel/ryzom/code/ryzom/server/src/frontend_service/prio_sub.h:25:0,
                 from /devel/ryzom/code/ryzom/server/src/frontend_service/frontend_service.h:37,
                 from /devel/ryzom/code/ryzom/server/src/frontend_service/packet_history.cpp:27:
/devel/ryzom/code/ryzom/server/src/frontend_service/distance_prioritizer.h:572:22: error: ‘PROPERTY_SHEET’ was not declared in this scope
/devel/ryzom/code/ryzom/server/src/frontend_service/distance_prioritizer.h:572:22: note: suggested alternative:
/devel/ryzom/code/ryzom/common/src/game_share/entity_types.h:124:18: note:   ‘CLFECOMMON::PROPERTY_SHEET’

#2 - 04/14/2011 01:48 pm - rti
- Subject changed from Build on GCC 4.6 (patch provided by naush) to Build on GCC 4.6

#3 - 04/14/2011 02:28 pm - krop

Error:

In file included from /devel/ryzom/code/nel/include/nel/misc/common.h:41:0,                                                                                                          
            
from /devel/ryzom/code/nel/include/nel/misc/rgba.h:23,
from /devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/qnel_widget.h:23,
from /devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:4:
/devel/ryzom/code/nel/include/nel/misc/string_common.h:205:6: warning: "SIZEOF_SIZE_T" is not defined [-Wundef]
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp: In constructor
‘ZonePainterMainWindow::ZonePainterMainWindow(QWidget*)’:
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:21:63: error: invalid use of
incomplete type ‘struct QMenu’
/usr/include/QtGui/qmainwindow.h:61:7: error: forward declaration of ‘struct QMenu’
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:22:15: error: invalid use of
incomplete type ‘struct QMenu’
/usr/include/QtGui/qmainwindow.h:61:7: error: forward declaration of ‘struct QMenu’
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:23:45: error: invalid use of
incomplete type ‘struct QMenu’
/usr/include/QtGui/qmainwindow.h:61:7: error: forward declaration of ‘struct QMenu’
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:28:38: error: invalid use of
incomplete type ‘struct QMenu’
/usr/include/QtGui/qmainwindow.h:61:7: error: forward declaration of ‘struct QMenu’
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:34:37: error: invalid use of
incomplete type ‘struct QMenu’
/usr/include/QtGui/qmainwindow.h:61:7: error: forward declaration of ‘struct QMenu’
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:40:39: error: invalid use of
incomplete type ‘struct QMenu’
/usr/include/QtGui/qmainwindow.h:61:7: error: forward declaration of ‘struct QMenu’
/devel/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp:46:37: error: invalid use of
incomplete type ‘struct QMenu’
/usr/include/QtGui/qmainwindow.h:61:7: error: forward declaration of ‘struct QMenu’
nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/CMakeFiles/ovqt_plugin_zone_painter.dir/depend.make:393: ***
[nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/CMakeFiles/ovqt_plugin_zone_painter.dir/zone_painter_main_window.cpp.o] Error 1

#0  nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/CMakeFiles/ovqt_plugin_zone_painter.dir/zone_painter_settings_page.cpp.o at
/devel/ryzom/build/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/CMakeFiles/ovqt_plugin_zone_painter.dir/depend.make:393
#1  lib/libovqt_plugin_zone_painter.so at
/devel/ryzom/build/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/CMakeFiles/ovqt_plugin_zone_painter.dir/build.make:376
#2  nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/CMakeFiles/ovqt_plugin_zone_painter.dir/build (.PHONY target)
remake[1]: *** [nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/CMakeFiles/ovqt_plugin_zone_painter.dir/all] Error 2

Fix:

--- a/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp  Wed Apr 13 19:58:41 2011 +0200
+++ b/code/nel/tools/3d/object_viewer_qt/src/plugins/zone_painter/zone_painter_main_window.cpp  Thu Apr 14 14:11:11 2011 +0200
@@ -3,6 +3,8 @@

 #include "qnel_widget.h" 
 #include "painter_dock_widget.h" 
+
+#include <QtGui/QMenu>

 ZonePainterMainWindow::ZonePainterMainWindow(QWidget *parent) :
     QMainWindow(parent),

#4 - 04/18/2011 02:35 pm - krop

Error:

/devel/ryzom/code/ryzom/server/src/entities_game_service/phrase_manager/phrase_manager.h: At global scope:
/devel/ryzom/code/ryzom/server/src/entities_game_service/phrase_manager/phrase_manager.h:58:33: erreur: uninitialized const
‘NoCyclicInfo’ [-fpermissive]
/devel/ryzom/code/ryzom/server/src/entities_game_service/phrase_manager/phrase_manager.h:49:8: note: ‘const struct CCyclicActionInfos’
has no user-provided default constructor

(no fix yet)

#5 - 05/23/2011 09:07 pm - Naush

Tools are not fixed by the first patch, rti & krop fix Nel & client, and it is already committed, my patch fix only servers

they are two missing files :

code/ryzom/server/src/gpm_service/stdpch.h
#include <stddef.h>

and

code/ryzom/server/src/gpm_service/stdpch.cpp
#include "stdpch.h" 

I let you add the license ;)

#6 - 05/24/2011 11:44 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- % Done changed from 0 to 10

#7 - 05/24/2011 01:41 pm - kervala
- % Done changed from 10 to 50

#8 - 05/24/2011 01:48 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 50 to 100

Applied in changeset r1487.

#9 - 05/24/2011 01:48 pm - kervala
- Target version set to Version 0.9.0

#10 - 12/07/2011 02:35 pm - sfb
- Status changed from Resolved to Closed
